### Method

# Foundry DocumentationManager index

#### Declaration [src]

    DexFuture*
    foundry_documentation_manager_index (
      FoundryDocumentationManager* self
    )

#### Description [src]

Ensures the documentation manager has indexed.

This happens on demand but can be forced to start earlier by applications which may want to delay operations until this part has completed. Such an example is to now show a window until the initial indexing has completed.

#### Return value

Type: `DexFuture`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.